<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->boolean('can_sell')->default(false)->after('email');
            $table->boolean('can_lease')->default(false)->after('can_sell');
            $table->boolean('can_rent')->default(false)->after('can_lease');
        });
    }

    public function down()
    {
        Schema::table('users', function (Blueprint $table) {
            $table->dropColumn(['can_sell', 'can_lease', 'can_rent']);
        });
    }

};
